#
# spec file for package ghc-void
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name void

Name:           ghc-void
Version:        0.7.1
Release:        2.6
Summary:        A Haskell 98 logically uninhabited data type
License:        BSD-3-Clause
Group:          System/Libraries

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-semigroups-devel
# End cabal-rpm deps

%description
A Haskell 98 logically uninhabited data type, used to indicate that a given
term should not exist.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.markdown

%changelog
* Sun Sep 20 2015 mimi.vx@gmail.com
- update to 0.7.1
  * Support semigroups 0.17 on older GHCs
  * Backported NFData's semigroup instance to older GHCs.
* Wed Apr 22 2015 mimi.vx@gmail.com
- update to 0.7
  * adapt to `Data.Void` being moved into `base-4.8`
  * `vacuousM` removed
* Sun Oct  6 2013 sbahling@suse.com
- Initial package  - version 0.6.1
